Skip to content
Start here

Stop full PCAP

client.MagicTransit.PCAPs.Stop(ctx, pcapID, body) error
PUT/accounts/{account_id}/pcaps/{pcap_id}/stop

Stop full PCAP.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Firewall Packet Captures - Write PCAPs API
ParametersExpand Collapse
pcapID string

Identifier.

maxLength32
body PCAPStopParams
AccountID param.Field[string]

Identifier.

maxLength32

Stop full PCAP

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.MagicTransit.PCAPs.Stop(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.PCAPStopParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples